GCLOUD_COMPUTE_ROUTERS_DELETE(1)

NAME

gcloud compute routers delete - delete Google Compute Engine routers

SYNOPSIS

gcloud compute routers delete NAME [NAME ...] [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute routers delete deletes one or more Google Compute Engine routers. Routers can only be deleted when no other resources (e.g., virtual machine instances) refer to them.

POSITIONAL ARGUMENTS
NAME [NAME ...]
    The resources to delete.

FLAGS
--region REGION
    The region of the resources to delete. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.